RagTime5DocumentInternal::IndexUnicodeParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5DocumentInternal::IndexUnicodeParser Struct Referencefinal

Internal: the helper to read index + unicode string for a RagTime5Document. More...

Inheritance diagram for RagTime5DocumentInternal::IndexUnicodeParser:

## Public Member Functions
| IndexUnicodeParser (RagTime5Document &, bool readIndex, std::string const &zoneName)
| constructor
| ~IndexUnicodeParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int n, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseData (MWAWInputStreamPtr &, long, RagTime5Zone &, int, libmwaw::DebugStream &)
| parse a data

## Public Attributes
bool | m_readIndex
| a flag to know if we need to read the index
std::map< int, librevenge::RVNGString > | m_idToStringMap
| the data
std::map< int, int > | m_indicesMap
| the map n to index if given

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read index + unicode string for a RagTime5Document.

## Constructor & Destructor Documentation

## ◆ IndexUnicodeParser()

RagTime5DocumentInternal::IndexUnicodeParser::IndexUnicodeParser | ( | RagTime5Document & | ,
|  | bool | readIndex,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## ◆ ~IndexUnicodeParser()

RagTime5DocumentInternal::IndexUnicodeParser::~IndexUnicodeParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ parseData()

bool RagTime5DocumentInternal::IndexUnicodeParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_idToStringMap

std::map<int, librevenge::RVNGString> RagTime5DocumentInternal::IndexUnicodeParser::m_idToStringMap

the data

Referenced by parseData(), and RagTime5Document::readUnicodeStringList().

## ◆ m_indicesMap

std::map<int,int> RagTime5DocumentInternal::IndexUnicodeParser::m_indicesMap

the map n to index if given

Referenced by parseData(), and RagTime5Document::readUnicodeStringList().

## ◆ m_readIndex

bool RagTime5DocumentInternal::IndexUnicodeParser::m_readIndex

a flag to know if we need to read the index

Referenced by parseData().

The documentation for this struct was generated from the following file:

- RagTime5Document.cxx